阅读 33

Requirement already satisfied 解决方法

Requirement already satisfied 解决方法

问题

今天安装 Pygame 的时候遇到了这个问题:

Requirement already satisfied: pygame==1.9.6 from file:///C:/ProgramData/Anaconda3/pygame-1.9.6-cp37-cp37m-win_amd64.whl in c:\programData\anaconda3\lib\site-packages (1.9.6)
复制代码

解决方法

对于这样的问题,只需指定安装路径即可。就按照报错最后的路径安装就行。

指定安装路径的命令行:

pip install --target=xxx pygame
复制代码

比如我的就是:

pip install --target=C:\ProgramData\Anaconda3\Lib\site-packages pygame-1.9.6-cp37-cp37m-win_amd64.whl
复制代码

可以看到,pygame 成功安装好了。

致谢

Requirement already satisfied

关注下面的标签,发现更多相似文章
评论